Subject: [os2genau_digest] No. 1982
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 3 Jul 2010 00:00:20 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Friday 02 July 2010
 Number  1982
**************************************************

Subjects for today
 
1  Re:  eCS & wireless : Paul Smedley <paul at smedley dot id dot au>
2  Re:  eCS & wireless : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Fri, 02 Jul 2010 06:14:26 +0930
From:  Paul Smedley <paul at smedley dot id dot au>
Subject:  Re:  eCS & wireless

Hi Ed,

Ed Durrant wrote:
> Alan Duval wrote:
>> Peter mentions wanting to get a printer that works via wireless.
>> I didn't know that eCS supported wireless connections.
>> Is there any info that I can read about this?
>>
>> Regards,
>>
>> Alan Duval
>>
>  From a printer set up point of view, whether the network is wired or 
> wireless makes no difference - once the wireless link is in place, when 
> the printer queue looks for a specific network printer name and hence IP 
> address, it talks to it.

Correct - and in the case of my Epson TX810FW - the IP configuration can 
even be done using the touch screen panel on the printer.  Very nice 
indeed :)

Cheers,

Paul

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Fri, 02 Jul 2010 22:49:09 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  eCS & wireless

Alan Duval wrote:

> Peter mentions wanting to get a printer that works via wireless.

That was my original intention, but I ended up getting a Xerox 3125N,
which is not a wireless printer. This printer does, however, have an
ethernet interface, so I could probably turn it into a wireless printer
by adding a wireless-to-ethernet adapter - see below. I haven't yet
tested this option because I don't yet have network printing working.

Someone on this list suggested another possibility, a wireless device
which, as I understand it, acts as a one-printer print server. Again,
it's not worth testing this until I have network printing working.
>
> I didn't know that eCS supported wireless connections. Is there any
> info that I can read about this?

The computer I'm typing this message on is my main computer, connected
wirelessly and running eCS 2.0. I learnt the trick for doing this from
Daniela Engert; it involves buying a small gadget called a wireless
access point, which is a sort of special-purpose wireless router.
There's an ethernet connection between my computer and the access point,
and then a wireless connection between the access point and my main
router (which is of course a wireless router). As far as eCS knows, I'm
connected to the network via the ethernet port, i.e. eCS doesn't have to
know it's a wireless connection. (Therefore no wireless driver is
needed. Or, to be more precise, the driver is inside the access point's
firmware, therefore is indepedent of operating system.)

The one I'm using now is an ASUS WL-330gE wireless access point. It has
four modes of operation (gateway, access point, adapter, repeater) but
of these I've only used "adapter". (I would probably use the "access
point" mode to turn my network printer into a wireless network printer.)
The product page is at
....  oops, ASUS web site appears to be buggy. However, you can find
reviews on the web, for example
....  hmm, those "review" sites don't seem to have reviews.
Anyway, my personal review is that it works well. My only real gripe
about it is that it requires a separate mains power plug, which in
practice means that it stays powered up even when I turn my computer
one. The next device I'll describe, below, can be powered from USB,
which I found more convenient.

Current prices appear to be $40 US or $165 Australian. Hey, that's a big
gap. Maybe we need a free trade agreement with the US.

Of course, this is massive overkill compared with the inexpensive
wireless adapters that work with Windows. The catch, as you know, is
that none of those adapters have OS/2 drivers. The beauty of a wireless
access point is that it doesn't care what operating system you have.

Beware of model numbers, by the way. The WL-330gE is a totally different
device from the WL-330, which in turn is totally different from things
like the WL-320. You just have to take care that the thing you order is
called a _wireless_access_point_, no matter which manufacturer you go for.

(It's marketed as a travel accessory, by the way, to carry around with
your laptop to connect to strange networks. Its big selling point is its
very small physical size.)

Before I used the ASUS device, I had a DWL-G730AP from D-Link. That's
the one Daniela recommended several years ago. I actually liked that one
better, and I see that it's slightly cheaper now. The reason I'm no
longer using it is that it suddenly stopped working, for no reason that
I can guess. Well, there's one possible reason. I can't remember now
whether the failure was when the house across the road was hit by
lightning. On that occasion I lost my VoIP adapter and my fax, so maybe
that's when a sensitive wireless device also blew up. It's still sitting
on my kitchen table waiting for further tests, but I'm pretty sure it's
dead. It was pure luck that I had already bought the ASUS one, for use
with a computer that I had planned to install in my then girlfriend's
house. That never happened, so I was left with a spare OS/2 computer
that I never use. Over time I guess I'll use it for spare parts.

I have a vague memory that the D-Link one has the option of using a
static IP address, while the ASUS one is DHCP only. That doesn't bother
me because my router always allocates me the same address anyway.

So there you have it. At least two solutions, and probably more. True,
they cost more than a cheap printer, but they work beautifully, at least
until the next lightning strike.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===